<html>

<body style="background-color: #555;">
    <div style="position: fixed; top:45px; left:5px;">
        <img src="car.png" width="1205px" height="592px">
        <canvas id="canvas" width="1205px" height="592px" 
            style="position: absolute; top:0px; left:0px; z-index:1000;"
            onclick="imageClick(event)">
        </canvas>
    </div>
    <div style="position: fixed; top:650px; left:5px;">
        <button id="klasaBtn" onclick="promeniKlasu()">Labela</button>
        <button onclick="play()">play</button>
    </div>
    
    <script>
        var samples = [];
        var color = "#ff0000";
        var label = 0;
        var state = 0;

        var klasaBtn = document.getElementById("klasaBtn");
        klasaBtn.style.backgroundColor = color;

        var promeniKlasu = function(){
            if(label == 0){
                label = 1;
                color = "#00ff00";
            }else{
                label = 0;
                color = "#ff0000";
            }
            klasaBtn.style.backgroundColor = color;
        }

        var renderCanvas = function(){
            var canvas = document.getElementById("canvas");
            var context = document.getElementById('canvas').getContext('2d');
            context.clearRect(0, 0, canvas.width, canvas.height);
            for(var i in samples){
                var x = samples[i][0];
                var y = samples[i][1];
                var llabel = samples[i][2];
                var ccolor = "#ff0000";
                if(llabel == 1)
                    ccolor = "#00ff00";
                if(state == 1)
                    ccolor = "#aaa";
                context.beginPath();
                context.fillStyle = ccolor;
                context.arc(x, y, 6, 0, 2 * Math.PI);
                context.fill();
            }
        }

        var play = function(){
            if(state==0)
                state = 1;
            renderCanvas();
        }

        var imageClick = function(event){
            var x = event.clientX-5;// - event.currentTarget.offsetLeft;
            var y = event.clientY-45;// - event.currentTarget.offsetTop;
            samples.push([x, y, label]);
            renderCanvas();
        }

    </script>
</body>